ceph_assert(r == 0) in BlueFS::_rewrite_log_and_layout_sync()

05/17/2021 04:36 PM - Neha Ojha

Status: Triaged % Done: 0%

Priority: Normal   

Assignee: Adam Kupczyk   

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2021-05-17T12:08:17.044 INFO:tasks.workunit.client.0.smithi104.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-bluefs-volume-ops.sh:179: TEST_bluestore:  ceph-bluestore-tool --pa

th td/osd-bluefs-volume-ops/1 --dev-target td/osd-bluefs-volume-ops/1/db --command bluefs-bdev-new

-db

2021-05-17T12:08:17.053 INFO:tasks.workunit.client.0.smithi104.stdout:inferring bluefs devices fro

m bluestore path

2021-05-17T12:08:24.848 INFO:tasks.workunit.client.0.smithi104.stderr:2021-05-17T12:08:24.846+0000

 7f30f9fc5400 -1 bluefs _allocate_without_fallback unable to allocate 0x500000 on bdev 0, allocato

r name bluefs-wal, allocator type hybrid, capacity 0x20000000, block size 0x100000, free 0xff000, 

fragmentation 0, allocated 0x0

2021-05-17T12:08:24.848 INFO:tasks.workunit.client.0.smithi104.stderr:/home/jenkins-build/build/wo

rkspace/ceph-dev-new-build/ARCH/x86_64/AVAILABLE_ARCH/x86_64/AVAILABLE_DIST/centos8/DIST/centos8/M

ACHINE_SIZE/gigantic/release/17.0.0-4229-gd98b3fc9/rpm/el8/BUILD/ceph-17.0.0-4229-gd98b3fc9/src/os

/bluestore/BlueFS.cc: In function 'void BlueFS::_rewrite_log_and_layout_sync(bool, int, int, int, 

int, std::optional<bluefs_layout_t>)' thread 7f30f9fc5400 time 2021-05-17T12:08:24.846276+0000

2021-05-17T12:08:24.849 INFO:tasks.workunit.client.0.smithi104.stderr:/home/jenkins-build/build/wo

rkspace/ceph-dev-new-build/ARCH/x86_64/AVAILABLE_ARCH/x86_64/AVAILABLE_DIST/centos8/DIST/centos8/M

ACHINE_SIZE/gigantic/release/17.0.0-4229-gd98b3fc9/rpm/el8/BUILD/ceph-17.0.0-4229-gd98b3fc9/src/os

/bluestore/BlueFS.cc: 2241: FAILED ceph_assert(r == 0)

2021-05-17T12:08:24.849 INFO:tasks.workunit.client.0.smithi104.stderr: ceph version 17.0.0-4229-gd

98b3fc9 (d98b3fc98cdd22d1e98566aab6a991dad70d1b4d) quincy (dev)

2021-05-17T12:08:24.850 INFO:tasks.workunit.client.0.smithi104.stderr: 1: (ceph::__ceph_assert_fai

l(char const*, char const*, int, char const*)+0x152) [0x7f30f8228782]

2021-05-17T12:08:24.850 INFO:tasks.workunit.client.0.smithi104.stderr: 2: /usr/lib64/ceph/libceph-

common.so.2(+0x27c98a) [0x7f30f822898a]

2021-05-17T12:08:24.850 INFO:tasks.workunit.client.0.smithi104.stderr: 3: (BlueFS::_rewrite_log_an

d_layout_sync(bool, int, int, int, int, std::optional<bluefs_layout_t>)+0x108a) [0x564969c2954a]

2021-05-17T12:08:24.851 INFO:tasks.workunit.client.0.smithi104.stderr: 4: (BlueFS::prepare_new_dev

ice(int, bluefs_layout_t const&)+0x19f) [0x564969c297bf]

2021-05-17T12:08:24.851 INFO:tasks.workunit.client.0.smithi104.stderr: 5: (BlueStore::add_new_blue

fs_device(int, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > con

st&)+0x2f7) [0x564969cde5c7]

2021-05-17T12:08:24.852 INFO:tasks.workunit.client.0.smithi104.stderr: 6: main()

2021-05-17T12:08:24.852 INFO:tasks.workunit.client.0.smithi104.stderr: 7: __libc_start_main()

2021-05-17T12:08:24.852 INFO:tasks.workunit.client.0.smithi104.stderr: 8: _start()
History

#1 - 05/17/2021 08:32 PM - Neha Ojha

- Assignee set to Igor Fedotov

Hi Igor, this seems new in master. So far just one occurrence but I am assigning this to you for your thoughts.

#2 - 05/18/2021 03:52 PM - Igor Fedotov

- Status changed from New to Triaged

Given the following line I presume we're just out of space for WAL volume (which has got 512MB only):

-1 bluefs _allocate_without_fallback unable to allocate 0x500000 on bdev 0, allocator name bluefs-wal, allocator type hybrid, capacity 0x20000000,

block size 0x100000, free 0xff000, fragmentation 0, allocated 0x0

Perhaps one should simply increase WAL size for test suit(s).

#3 - 05/27/2021 02:18 PM - Neha Ojha

- Assignee changed from Igor Fedotov to Adam Kupczyk
